<div class="main background_images" >
  <div class="row">
    <div class="row">
      <div class="col s12 white-text text-darken-4 center-align ">
        <img class="responsive-img" src="../assets/img/hookah_logo.png">
      </div>
    </div>
    <div class="row"> 
     
    <div class="card_panel_center">
    <div class="col s12 " style="position: relative;">
      <div class="card  grey-text text-darken-4 signup_box">
        <div class="card-content">
          <div class="login_border_left_side blue darken-4"></div>	
         <div class="card-title blue-text center text-darken-4"> <i class="fa fa-user-plus" aria-hidden="true"></i> <strong>SignUp</strong><a class="right blue-text text-darken-4 close_signup_button"><i class="material-icons">close</i></a></div>
          <!-- form start -->
          <form class="signup-form" [formGroup]="userForm" (ngSubmit)="submitUser()">
                     <div class="alert alert-danger" *ngIf="status_msg"><span class="text-danger">  {{status_msg}} </span> </div> 
            <div class="row margin">
              <div class="input-field col s12">
                <i class="material-icons prefix">account_circle</i>
                <input class="validate" id="email" type="email" formControlName="email" (blur)="checkEmail($event.target.value)">
                <label for="email">Email 
                <i class="fa  fa-times" aria-hidden="true" *ngIf="cross"style="color:#a00"></i>
                  <i class="fa fa-check" aria-hidden="true" *ngIf="check" style="color:#0a0"></i>
                </label>
              </div>
              <!-- Displaying error messages -->
              <div *ngIf="userForm.controls['email'].hasError('required') && userForm.controls['email'].touched" class="alert col s12 alert-danger" style="padding:10px;" > <span class="text-danger">Please Enter Email</span>
              </div>
              <div style="color:#a00;"> 
                  
               </div>

            </div>
            <div class="row margin" formGroupName="passwords">
              <div class="input-field col s12">
               <i class="material-icons prefix">lock</i>
                <input id="password" type="password" formControlName="password">
                <label for="password">Password</label>
              </div>
              <!-- Displaying error messages -->
              <div *ngIf="userForm.controls['passwords'].controls['password'].invalid && !userForm.controls['passwords'].controls['password'].pristine" class="alert alert-danger col s12" style="padding:10px;">
              <span class="text-danger" >
                  Password is required and atleast contain 6 characters
              </span>
            </div>
            </div>
            <div class="row margin" formGroupName="passwords">
              <div class="input-field col s12">
               <i class="material-icons prefix">lock</i>
                <input id="repassword" type="password" formControlName="confirmPassword">
                <label for="repassword">Confirm Password</label>
              </div>

              <!-- Displaying error messages -->
              <div *ngIf="(userForm.controls['passwords'].invalid || userForm.controls['passwords'].controls['confirmPassword'].invalid)
                && !userForm.controls['passwords'].controls['confirmPassword'].pristine" class="alert alert-danger col s12" style="padding:10px;"><span class="text-danger">
                  Password mismatch
                </span>
            </div>
            </div>
             <div class="row">
              <div class=" col s12 m12 l12">
                <p class="margin medium-small col s12">
                <!-- Disabling button if form is invalid -->
                <button class="waves-effect col s12  waves-light btn-large btn_hover blue darken-4" [disabled]="status || !userForm.valid">Register</button>
                </p>
              </div>
              <div class=" col s12 m12 l12 " style="padding: 5% 5% 0 0;">
                  <p class="margin grey-text center medium-small ">
                  Already have an account &nbsp;
                  <a class=" close_signup_button" routerLink="/login">Login</a></p>
              </div>          
            </div>
             
          </form>
        </div>
      </div>
    </div>
  </div>
 
    </div>
  </div>
</div>
  